Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

I am getting . "org/apache/nifi/bootstrap/RunNiFi : Unsupported major.minor version 52.0".I am installing .HDF 2.0 on Sandbox2.5 running on VM Box .

Solved Go to solution
Highlighted

I am getting . "org/apache/nifi/bootstrap/RunNiFi : Unsupported major.minor version 52.0".I am installing .HDF 2.0 on Sandbox2.5 running on VM Box .

New Contributor

burman@bob

1 ACCEPTED SOLUTION

Accepted Solutions

Re: I am getting . "org/apache/nifi/bootstrap/RunNiFi : Unsupported major.minor version 52.0".I am installing .HDF 2.0 on Sandbox2.5 running on VM Box .

The Sandbox comes with Java 7 and HDF 2.0 requires Java 8. I can't speak for all the components in HDF, but for NiFI, if you extract a JDK 8 somewhere on the sandbox, you can set NiFi's JAVA_HOME in bin/nifi-env.sh

2 REPLIES 2

Re: I am getting . "org/apache/nifi/bootstrap/RunNiFi : Unsupported major.minor version 52.0".I am installing .HDF 2.0 on Sandbox2.5 running on VM Box .

The Sandbox comes with Java 7 and HDF 2.0 requires Java 8. I can't speak for all the components in HDF, but for NiFI, if you extract a JDK 8 somewhere on the sandbox, you can set NiFi's JAVA_HOME in bin/nifi-env.sh

Re: I am getting . "org/apache/nifi/bootstrap/RunNiFi : Unsupported major.minor version 52.0".I am installing .HDF 2.0 on Sandbox2.5 running on VM Box .

New Contributor

Hi Bryan,

Thanks a lot. It worked for me.

Best Regards,

Bob

Don't have an account?
Coming from Hortonworks? Activate your account here